Subject: Re: A problem about ICMP packet-too-big message handler

From: Yang Yingliang <[email-masked]>
Date: Wed, 28 Jan 2015 18:07:08 +0800

On 2015/1/28 16:42, Hannes Frederic Sowa wrote:
> On Di, 2015-01-27 at 20:58 +0800, Yang Yingliang wrote:
>> Hi,
>>
>> My kernel is 3.10 LTS.
>>
>> I got a problem here about handling ICMP packet-too-big message.
>>
>> Before sending a packet-too-big packet :
>>
>> # ip -6 route list table local
>> local ::1 dev lo  metric 0 
>> local fe80:: dev lo  metric 0 
>> local fe80:: dev lo  metric 0 
>> local fe80:: dev lo  metric 0 
>> local fe80:: dev lo  metric 0 
>> local fe80:: dev lo  metric 0 
>> local fe80:: dev lo  metric 0 
>> local fe80::1 dev lo  metric 0 	//It  does not have expire value
> 
> Did you just add a local route or do you also have a corresponding IPv6
> address bound to loopback?

I just set a IPv6 linklocal address and the route was added automatic.
I do not add any other route by hand.

Regards,
Yang